//
// C++ Interface: rename
//
// Description: 
//
//
// Author: Spiros Georgaras <sng@hellug.gr>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef NAMEPARTBASE_H
#define NAMEPARTBASE_H

#include "ui_namepartbase.h"
#include <QtGui/QDialog>
#include <kaboutdata.h>

extern KAboutData * ab;

/**
 * This is the main view class for gwenrename.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * @short Main view
 * @author Spiros Georgaras <sng@hellug.gr>
 * @version 1.1
 */

class namePart : public QDialog, public Ui::namePartBase
{
    Q_OBJECT
public:
    /**
     * Default constructor
     */
     namePart(QDialog * parent = 0);
		 
    /**
     * Destructor
     */
    virtual ~namePart();

private:
    Ui::namePartBase ui_namepartbase;
		
		QString n;
    QString textPattern;
    QString outPattern;

		
		virtual void resizeEvent( QResizeEvent * e );
		void updateLabel( int start, int length );
		void startCH( int st );
		void lengthCH( int l );
		void fileChanged( int id );
		void buttonOkClicked();
		
// signals:
//     /**
//      * Use this signal to change the content of the statusbar
//      */
//     void signalChangeStatusbar(const QString& text);
// 
//     /**
//      * Use this signal to change the content of the caption
//      */
//     void signalChangeCaption(const QString& text);
// 
// private slots:
//     void switchColors();
//     void settingsChanged();
};

#endif // NAMEPARTBASE_H
